> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bridge

> UpdateBridge patches a bridge's editable metadata (display_name,
 description). Credentials are not affected.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples patch /api/v1/iam/tunnel/bridges/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/tunnel/bridges/{id}:
    patch:
      tags:
        - Tunnel
      summary: Update Bridge
      description: |-
        UpdateBridge patches a bridge's editable metadata (display_name,
         description). Credentials are not affected.
      operationId: c1.api.iam.v1.TunnelCredentialsService.UpdateBridge
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.TunnelCredentialsServiceUpdateBridgeRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.TunnelCredentialsServiceUpdateBridgeResponse
          description: Successful response
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.tunnelCredentials.updateBridge({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.iam.v1.TunnelCredentialsServiceUpdateBridgeRequestInput:
      description: The TunnelCredentialsServiceUpdateBridgeRequest message.
      properties:
        description:
          description: |-
            New description. Applied only when "description" is in update_mask.
             Empty clears the description.
          type:
            - string
            - 'null'
        displayName:
          description: >-
            New display name. Applied only when "display_name" is in
            update_mask.
             Must be non-empty when applied.
          type:
            - string
            - 'null'
        updateMask:
          type:
            - string
            - 'null'
      title: Tunnel Credentials Service Update Bridge Request
      type: object
      x-speakeasy-name-override: TunnelCredentialsServiceUpdateBridgeRequest
    c1.api.iam.v1.TunnelCredentialsServiceUpdateBridgeResponse:
      description: The TunnelCredentialsServiceUpdateBridgeResponse message.
      properties:
        bridge:
          oneOf:
            - $ref: '#/components/schemas/c1.api.iam.v1.TunnelBridge'
            - type: 'null'
      title: Tunnel Credentials Service Update Bridge Response
      type: object
      x-speakeasy-name-override: TunnelCredentialsServiceUpdateBridgeResponse
    c1.api.iam.v1.TunnelBridge:
      description: |-
        TunnelBridge is the API view of a bridge — the customer-facing entity
         for managing a wormhole tunnel appliance.
      properties:
        appliance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.iam.v1.TunnelAppliance'
            - type: 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          readOnly: true
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Tunnel Bridge
      type: object
      x-speakeasy-name-override: TunnelBridge
    c1.api.iam.v1.TunnelAppliance:
      description: |-
        TunnelAppliance is the live state of the customer-side appliance for one
         bridge.
      properties:
        announcedServiceCount:
          description: Number of services the appliance is currently announcing.
          format: uint32
          type:
            - integer
            - 'null'
        lastSeenAt:
          format: date-time
          type:
            - string
            - 'null'
        links:
          description: >-
            Wormhole relays currently holding a Link for this bridge. Typically
            of
             length 1.
          items:
            $ref: '#/components/schemas/c1.api.iam.v1.TunnelApplianceLink'
          type:
            - array
            - 'null'
        status:
          description: The status field.
          enum:
            - TUNNEL_APPLIANCE_STATUS_UNSPECIFIED
            - TUNNEL_APPLIANCE_STATUS_CONNECTED
            - TUNNEL_APPLIANCE_STATUS_DISCONNECTED
            - TUNNEL_APPLIANCE_STATUS_NEVER_CONNECTED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Tunnel Appliance
      type: object
      x-speakeasy-name-override: TunnelAppliance
    c1.api.iam.v1.TunnelApplianceLink:
      description: The TunnelApplianceLink message.
      properties:
        avgRtt:
          format: duration
          type:
            - string
            - 'null'
        leaseExpiresAt:
          format: date-time
          type:
            - string
            - 'null'
        relayAddress:
          description: |-
            Public address (host:port) of the relay server, suitable for use in
             client-side connection strings.
          type:
            - string
            - 'null'
        relayId:
          description: Identifier of the wormhole relay server holding this Link.
          type:
            - string
            - 'null'
      title: Tunnel Appliance Link
      type: object
      x-speakeasy-name-override: TunnelApplianceLink
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````